diff --git a/web/pgadmin/utils/driver/psycopg2/__init__.py b/web/pgadmin/utils/driver/psycopg2/__init__.py
index 689ad76..9459ad0 100644
--- a/web/pgadmin/utils/driver/psycopg2/__init__.py
+++ b/web/pgadmin/utils/driver/psycopg2/__init__.py
@@ -1653,10 +1653,14 @@ class ServerManager(object):
 
         res = dict()
         res['sid'] = self.sid
-        if hasattr(self.password, 'decode'):
-            res['password'] = self.password.decode('utf-8')
+        if hasattr(self, 'password') and self.password:
+            # If running under PY2
+            if hasattr(self.password, 'decode'):
+                res['password'] = self.password.decode('utf-8')
+            else:
+                res['password'] = str(self.password)
         else:
-            res['password'] = str(self.password)
+            res['password'] = self.password
 
         connections = res['connections'] = dict()
 
